<?php
$lDreamBoxObj->loadBoutiques();
$lDreamBoxObj->loadChannels();
$lDreamBoxObj->loadRecordings();
$lDreamBoxObj->loadMovies();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
  <title><?php echo Settings::getDreamboxName() . " - " . Settings::getProgramName() . " (" . Settings::getVersionNumber() . ")"; ?></title>
  <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta name="generator" content="Bluefish 1.0.7"/>
  <meta name="author" content="Joshua Rubingh"/>
  <meta name="copyright" content="<?php echo date("Y"); ?> TheYOSH" />
  <meta name="keywords" content="Restream video from a Dreambox over the internet and mobile phones" />
  <meta name="description" content="Restream video from a Dreambox over the internet and mobile phones" />
  <link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
  <?php $xajax->printJavascript(); // XAJAX part 2 ?>
  <link rel="stylesheet" href="css/mobile.css" />
  <link rel="stylesheet" href="iphone/jquery.mobile-1.0a3.min.css" />
  <script type="text/javascript" src="js/jquery-1.5.min.js"></script>
  <script type="text/javascript" src="js/javascript.mobile.js"></script>
  <style>
   .current.ui-btn-up-c,
   .ui-btn-up-c.current {
   		background-image: -webkit-gradient(
    		linear,
    		left bottom,
    		left top,
    		color-stop(0.0, #5E87B0),
    		color-stop(1.0, #FDFDFD)
		);
		background-image: -moz-linear-gradient(
    		center bottom,
    		#5E87B0 0%,
    		#FDFDFD 100%
		);
   }
   .ui-li-heading {
      margin: 0.3em 0em 0.6em 0em;
   }
   #watchChannel {
		margin: 0;
	}
  </style>
</head>
<body>
<div data-role="page" id="channels">
	<div data-role="header" data-position="fixed">
		<h1>Channels</h1>
		<a href="./Options.form.php" data-rel="dialog" data-icon="gear" class="ui-btn-right">Options</a>
	</div>
	<div data-role="content">
		<ul data-role="listview" data-filter="true">
			<?php
			$lBoutiques = $lDreamBoxObj->getBoutiques();
			if (isset($lBoutiques)) {
				foreach ($lBoutiques as $lBoutique) {
					echo "<li data-role=\"list-divider\">". $lBoutique->getName() ." <span class=\"ui-li-count\">" . $lBoutique->getChannelCount() . "</span></li>\n";
					foreach ($lBoutique->getChannels() as $lChannel) {
						echo "<li id=\"" . $lChannel->getID() . "\"><h3><a href=\"#watch\" onclick=\"zapTo('" . Utils::JSSave($lChannel->getID()) . "','" . Utils::JSSave($lChannel->getName()) . "')\">" . $lChannel->getName() . "</a></h3></li>\n";
					}
				}
			}
			$lRecordings = $lDreamBoxObj->getRecordings();
			if (isset($lRecordings)) {
				echo "<li data-role=\"list-divider\">Recordings <span class=\"ui-li-count\">" . count($lRecordings) . "</span></li>\n";
				foreach ($lRecordings as $lRecording) {
					echo "<li id=\"" . $lRecording->getID() . "\"><h3><a href=\"#watch\" onclick=\"zapTo('" . Utils::JSSave($lRecording->getID()) . "','" . Utils::JSSave($lRecording->getName()) . "')\">" . $lRecording->getName() . "</a></h3></li>\n";
				}
			}
			?>
		</ul>
	</div>
	<div data-role="footer" data-position="fixed">
		<div data-role="navbar">
			<ul>
				<li><a href="#channels">Channels</a></li>
				<li><a href="#movies">Movies</a></li>
				<li><a href="#watch">Watch</a></li>
				<li><a href="#">Guide</a></li>
			</ul>
		</div><!-- /navbar -->
	</div>
</div>
<div data-role="page" id="movies">
	<div data-role="header" data-position="fixed">
		<h1>Movies</h1>
		<a href="./Options.form.php" data-rel="dialog" data-icon="gear" class="ui-btn-right">Options</a>
	</div>
	<div data-role="content">
		<ul data-role="listview" data-filter="true">
			<?php
			$lMovies = $lDreamBoxObj->getMovies();
            if (isset($lMovies)) {
                echo "<li data-role=\"list-divider\">Movies <span class=\"ui-li-count\">" . count($lMovies) . "</span></li>\n";
                foreach ($lMovies as $lMovie) {
					if ($lMovie->getName() != "") echo "<li id=\"" . $lMovie->getID() . "\"><h3><a href=\"#watch\" onclick=\"zapTo('" . Utils::JSSave($lMovie->getID()) . "','" . Utils::JSSave($lMovie->getName()) . "')>" . $lMovie->getName() . "</a></h3></li>\n";
            	}
            }
			?>
		</ul>
	</div>
	<div data-role="footer" data-position="fixed">
		<div data-role="navbar">
			<ul>
				<li><a href="#channels">Channels</a></li>
				<li><a href="#movies">Movies</a></li>
				<li><a href="#watch">Watch</a></li>
				<li><a href="#">Guide</a></li>
			</ul>
		</div><!-- /navbar -->
	</div>
</div>
<div data-role="page" id="watch">
	<div data-role="header" data-position="fixed">
		<h1>Watch</h1>
		<a href="./Options.form.php" data-rel="dialog" data-icon="gear" class="ui-btn-right">Options</a>
	</div>
	<div data-role="content">
		<p>
			<h1 id="watchChannel"></h1>
			<div id="iOSPlayer"></div><br />
			<div id="ProgramInfo">No TV Guide data available (yet)</div>
			<div id="watchChannelLink"></div>
		</p>
	</div>
	<div data-role="footer" data-position="fixed">
		<div data-role="navbar">
			<ul>
				<li><a href="#channels">Channels</a></li>
                 <li><a href="#movies">Movies</a></li>
				<li><a href="#watch">Watch</a></li>
				<li><a href="#">Guide</a></li>
			</ul>
		</div><!-- /navbar -->
	</div>
</div>

<script type="text/javascript" src="iphone/jquery.mobile-1.0a3.min.js"></script>
<script type="text/javascript">
	<?php if (getAutoLoadEPG()) echo "loadProgramGuide();" ?> 
	VLCStatus();
</script>
<?php if (Settings::getDebug()) echo "<div id=\"errorLog\" style=\"display:none;\"></div>"; ?>
</body>
</html>